(TeX-add-style-hook "amsmath"
 (function
  (lambda ()
    (LaTeX-add-environments
     "equation"
     "multline"
     "split"
     "flalign"
     "alignat"
     "xxalignat"
     "xalignat"
     "align"
     "gather"
     '("subarray" 1)
     "smallmatrix"
     "bmatrix"
     "vmatrix"
     "Vmatrix"
     "subequations"
     "aligned"
     "equation")
    (TeX-add-symbols
     "endgathered"
     "endalignedat"
     '("gathered" ["argument"] 0)
     '("alignedat" ["argument"] 1)
     '("cfrac" ["argument"] 2)
     '("hdotsfor" 1)
     '("substack" 1)
     '("xleftarrow" 2)
     '("xrightarrow" 2)
     '("mspace" 1)
     "AmS"
     "AmSfont"
     "thinspace"
     "negthinspace"
     "medspace"
     "negmedspace"
     "thickspace"
     "negthickspace"
     "overline"
     "boxed"
     "implies"
     "impliedby"
     "dfrac"
     "tfrac"
     "dbinom"
     "tbinom"
     "colon"
     "nobreakdash"
     "leftroot"
     "uproot"
     "root"
     "DOTSI"
     "DOTSB"
     "DOTSX"
     "dotsi"
     "dotso"
     "dotsb"
     "dotsm"
     "longrightarrow"
     "Longrightarrow"
     "longleftarrow"
     "Longleftarrow"
     "longleftrightarrow"
     "Longleftrightarrow"
     "mapsto"
     "longmapsto"
     "hookrightarrow"
     "hookleftarrow"
     "iff"
     "doteq"
     "int"
     "oint"
     "iint"
     "iiint"
     "iiiint"
     "idotsint"
     "big"
     "Big"
     "bigg"
     "Bigg"
     "dddot"
     "ddddot"
     "bmod"
     "pod"
     "pmod"
     "mod"
     "overset"
     "underset"
     "sideset"
     "overrightarrow"
     "overleftarrow"
     "overleftrightarrow"
     "underrightarrow"
     "underleftarrow"
     "underleftrightarrow"
     "hdots"
     "arraystretch"
     "protect"
     "theequation"
     "numberwithin"
     "eqref"
     "allowdisplaybreaks"
     "displaybreak"
     "displaybreak"
     "intertext"
     "intertext"
     "tag"
     "thetag"
     "raisetag"
     "notag"
     "mintagsep"
     "minalignsep"
     "or"
     "or"
     "or"
     "start"
     "tag"
     "label"
     "label"
     "tag"
     "label"
     "or"
     "label"
     "or"
     "minalignsep"
     "tag"
     "label"
     "label"
     "shoveleft"
     "shoveright"
     "shoveright"
     "shoveright"
     "shoveleft"
     "shoveleft"
     "shoveleft")
    (TeX-run-style-hooks
     "OMXcmex"))))

