(TeX-add-style-hook "amsproc"
 (function
  (lambda ()
    (LaTeX-add-environments
     "proof"
     "table"
     "figure"
     "theindex"
     "description"
     "quote"
     "quotation"
     "verse"
     "titlepage"
     '("thebibliography" 1)
     "abstract"
     "pf"
     "pf")
    (TeX-add-symbols
     '("smaller" ["argument"] 0)
     '("larger" ["argument"] 0)
     '("see" 2)
     '("tocsection" 3)
     '("descriptionlabel" 1)
     '("nxandlist" 4)
     '("xandlist" 4)
     '("email" 2)
     '("curraddr" 2)
     '("address" 2)
     '("uppercasenonmath" 1)
     "numberwithin"
     "mathfrak"
     "mathfrak"
     "Tiny"
     "tiny"
     "SMALL"
     "Small"
     "small"
     "footnotesize"
     "scriptsize"
     "large"
     "Large"
     "LARGE"
     "huge"
     "Huge"
     "baselinestretch"
     "sectionname"
     "subsectionname"
     "subsubsectionname"
     "leftmark"
     "rightmark"
     "markboth"
     "sectionmark"
     "subsectionmark"
     "subsubsectionmark"
     "paragraphmark"
     "mathfrak"
     "mathfrak"
     "upchars"
     "ss"
     "i"
     "j"
     "ae"
     "oe"
     "o"
     "aa"
     "l"
     "Mc"
     "today"
     "shortauthors"
     "authors"
     "addresses"
     "thankses"
     "author"
     "address"
     "curraddr"
     "email"
     "dedicatory"
     "keywords"
     "subjclass"
     "translator"
     "andify"
     "and"
     "maketitle"
     "shortauthors"
     "copyrightyear"
     "copyrightyearmodC"
     "ISSN"
     "copyrightprice"
     "currentvolume"
     "currentyear"
     "abstractname"
     "keywordsname"
     "subjclassname"
     "datename"
     "datename"
     "thanks"
     "trivlist"
     "makelabel"
     "enumerate"
     "makelabel"
     "itemize"
     "makelabel"
     "makelabel"
     "upn"
     "partname"
     "part"
     "specialsection"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "appendix"
     "sectionname"
     "thesection"
     "appendixname"
     "aufm"
     "tableofcontents"
     "contentsname"
     "listfigurename"
     "listtablename"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "indentlabel"
     "indentlabel"
     "tocsubsection"
     "tocsubsubsection"
     "tocpart"
     "tocchapter"
     "tocappendix"
     "refname"
     "bibname"
     "bibliographystyle"
     "bibsetup"
     "bibsetup"
     "bibsetup"
     "bysame"
     "newblock"
     "item"
     "indexname"
     "subitem"
     "subsubitem"
     "indexspace"
     "footnoterule"
     "sloppy"
     "fps"
     "fps"
     "figurename"
     "tablename"
     "theoremindent"
     "theoremindent"
     "theoremindent"
     "nonbreakingspace"
     "fullwidthdisplay"
     "seename"
     "printindex"
     "calclayout"
     "tiny"
     "defaultfont"
     "rom")
    (TeX-run-style-hooks
     "amsgen"))))

