(TeX-add-style-hook "osa"
 (function
  (lambda ()
    (LaTeX-add-environments
     "abstract"
     "quasitable"
     "tabular"
     "table"
     "figure"
     "theindex"
     "eqnarray"
     "equation"
     "mathletters"
     "titlepage"
     "description"
     "quote"
     "quotation"
     "verse")
    (LaTeX-add-labels
     "##1"
     "##1"
     "##1")
    (TeX-add-symbols
     "partname"
     "contentsname"
     "listfigurename"
     "listtablename"
     "indexname"
     "figurename"
     "tablename"
     "abstractname"
     "refname"
     "acknowledgments"
     "refname"
     "acknowledgments"
     "tightenlines"
     "baselinestretch"
     "mathhexbox"
     "text"
     "prm"
     "pit"
     "prm"
     "pit"
     "bbox"
     "fivbf"
     "sixbf"
     "sevbf"
     "egtbf"
     "text"
     "bbox"
     "mathhexbox"
     "descriptionlabel"
     "makelabel"
     "thepart"
     "thesection"
     "thesubsection"
     "thesubsubsection"
     "theparagraph"
     "thesubparagraph"
     "part"
     "FL"
     "FR"
     "FL"
     "FR"
     "eqnum"
     "theequation"
     "theequation"
     "label"
     "nonumber"
     "label"
     "label"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "tempa"
     "item"
     "subitem"
     "subsubitem"
     "indexspace"
     "strut"
     "thefootnote"
     "topfraction"
     "bottomfraction"
     "textfraction"
     "floatpagefraction"
     "dbltopfraction"
     "dblfloatpagefraction"
     "thefigure"
     "thetable"
     "protect"
     "thetablenote"
     "tablenote"
     "protect"
     "protect"
     "protect"
     "tablenotemark"
     "protect"
     "protect"
     "tablenotetext"
     "protect"
     "protect"
     "tableline"
     "dec"
     "test"
     "setdec"
     "savecaption"
     "protect"
     "protect"
     "tabbodyfont"
     "squeezetable"
     "tabbodyfont"
     "protect"
     "caption"
     "tablenotes"
     "and"
     "preprint"
     "title"
     "author"
     "address"
     "date"
     "maketitle"
     "cite"
     "thanks"
     "thefootnote"
     "thefootnote"
     "maketitle"
     "thanks"
     "pacs"
     "sectionmark"
     "subsectionmark"
     "sectionmark"
     "sectionmark"
     "subsectionmark"
     "today"
     "ao"
     "ap"
     "apl"
     "apj"
     "bell"
     "jqe"
     "assp"
     "aprop"
     "mtt"
     "iovs"
     "jcp"
     "jmo"
     "josa"
     "josaa"
     "josab"
     "jpp"
     "nat"
     "oc"
     "ol"
     "pl"
     "pra"
     "prb"
     "prl"
     "pspie"
     "sjqe"
     "vr")
    (TeX-run-style-hooks
     "osa1"
     "osabib"))))

