(TeX-add-style-hook "texinfo"
 (function
  (lambda ()
    (LaTeX-add-environments
     "setuptable"
     "doignore")
    (TeX-add-symbols
     "enddoublecolumns"
     "endxxx"
     "deftexinfoversion"
     "texinfoversion"
     "ptextilde"
     "ptexlbrace"
     "ptexrbrace"
     "ptexdots"
     "ptexdot"
     "ptexstar"
     "ptexend"
     "ptexbullet"
     "ptexb"
     "ptexc"
     "ptexi"
     "ptext"
     "ptexl"
     "ptexL"
     "other"
     "putwordInfo"
     "gobble"
     "gloggingall"
     "loggingall"
     "PAGE"
     "onepageout"
     "hsize"
     "hsize"
     "croppageout"
     "hsize"
     "hsize"
     "cropmarks"
     "onepageout"
     "pagebody"
     "ewtop"
     "nstop"
     "ewbot"
     "nsbot"
     "parsearg"
     "parseargx"
     "argremovec"
     "argremovecomment"
     "removeactivespaces"
     "flushcr"
     "inENV"
     "ENVcheck"
     "begin"
     "beginxxx"
     "end"
     "unmatchedenderror"
     "defineunmatchedend"
     "singlespace"
     "mylbrace"
     "myrbrace"
     "w"
     "group"
     "Egroup"
     "need"
     "needx"
     "br"
     "dots"
     "page"
     "exdent"
     "exdentyyy"
     "nofillexdent"
     "nofillexdentyyy"
     "include"
     "includezzz"
     "thisfile"
     "thisfile"
     "center"
     "centerzzz"
     "sp"
     "spxxx"
     "comment"
     "commentxxx"
     "c"
     "ignoresections"
     "chapter"
     "unnumbered"
     "top"
     "unnumberedsec"
     "unnumberedsection"
     "unnumberedsubsec"
     "unnumberedsubsection"
     "unnumberedsubsubsec"
     "unnumberedsubsubsection"
     "section"
     "subsec"
     "subsubsec"
     "subsection"
     "subsubsection"
     "appendix"
     "appendixsec"
     "appendixsection"
     "appendixsubsec"
     "appendixsubsection"
     "appendixsubsubsec"
     "appendixsubsubsection"
     "contents"
     "smallbook"
     "titlepage"
     "ignoremorecommands"
     "defcv"
     "deffn"
     "deffnx"
     "defindex"
     "defivar"
     "defmac"
     "defmethod"
     "defop"
     "defopt"
     "defspec"
     "deftp"
     "deftypefn"
     "deftypefun"
     "deftypevar"
     "deftypevr"
     "defun"
     "defvar"
     "defvr"
     "ref"
     "xref"
     "printindex"
     "pxref"
     "settitle"
     "include"
     "lowersections"
     "down"
     "raisesections"
     "up"
     "set"
     "clear"
     "item"
     "message"
     "ignore"
     "ifinfo"
     "ifhtml"
     "html"
     "menu"
     "direntry"
     "doignoretext"
     "obstexwarn"
     "nestedignore"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "indrm"
     "indit"
     "indsl"
     "indbf"
     "indtt"
     "indsc"
     "indsf"
     "tex"
     "set"
     "setxxx"
     "setyyy"
     "temp"
     "setzzz"
     "clear"
     "clearxxx"
     "value"
     "ifset"
     "ifsetxxx"
     "ifsetsucceed"
     "ifsetfail"
     "ifclear"
     "ifclearxxx"
     "ifclearsucceed"
     "ifclearfail"
     "iftex"
     "conditionalsucceed"
     "nece"
     "nece"
     "nece"
     "nece"
     "asis"
     "implicitmath"
     "math"
     "bullet"
     "minus"
     "node"
     "nodezzz"
     "nodexxx"
     "nwnode"
     "lastnode"
     "donoderef"
     "lastnode"
     "unnumbnoderef"
     "lastnode"
     "appendixnoderef"
     "lastnode"
     "refill"
     "setfilename"
     "setfilename"
     "bye"
     "inforef"
     "inforefzzz"
     "sf"
     "li"
     "mainmagstep"
     "setfont"
     "fontprefix"
     "mainmagstep"
     "texti"
     "textsy"
     "df"
     "tentt"
     "tenbf"
     "indsl"
     "indtt"
     "indsf"
     "indbf"
     "indi"
     "indsy"
     "chapbf"
     "chapi"
     "chapsy"
     "seci"
     "secsy"
     "sseci"
     "ssecsy"
     "authorrm"
     "resetmathfonts"
     "textfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "chapfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "secfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "subsecfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "indexfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "smartitalicx"
     "smartitalic"
     "i"
     "var"
     "dfn"
     "emph"
     "cite"
     "b"
     "strong"
     "nohyphenation"
     "restorehyphenation"
     "t"
     "ttfont"
     "samp"
     "key"
     "ctrl"
     "file"
     "tclose"
     "code"
     "indexbreaks"
     "realdash"
     "realunder"
     "codedash"
     "codeunder"
     "codex"
     "xkey"
     "kbdfoo"
     "one"
     "three"
     "threex"
     "dmn"
     "kbd"
     "look"
     "l"
     "r"
     "sc"
     "ii"
     "titlefont"
     "shorttitlepage"
     "shorttitlepagezzz"
     "titlepage"
     "subtitlerm"
     "subtitlefont"
     "authorfont"
     "title"
     "titlezzz"
     "subtitle"
     "subtitlezzz"
     "author"
     "authorzzz"
     "oldpage"
     "page"
     "page"
     "Etitlepage"
     "finishtitlepage"
     "thispage"
     "HEADINGShook"
     "evenheading"
     "oddheading"
     "everyheading"
     "evenfooting"
     "oddfooting"
     "everyfooting"
     "headings"
     "HEADINGSoff"
     "HEADINGSdouble"
     "HEADINGSsingle"
     "HEADINGSon"
     "HEADINGSafter"
     "HEADINGShook"
     "HEADINGSdoubleafter"
     "HEADINGSdoublex"
     "HEADINGSsingleafter"
     "HEADINGShook"
     "HEADINGSsinglex"
     "today"
     "thistitle"
     "settitle"
     "settitlezzz"
     "itemxpar"
     "internalBitem"
     "internalBitemx"
     "internalBxitem"
     "xitemsubtopix"
     "internalBxitemx"
     "xitemsubtopix"
     "internalBkitem"
     "internalBkitemx"
     "kitemzzz"
     "xitemzzz"
     "itemzzz"
     "item"
     "itemx"
     "kitem"
     "kitemx"
     "xitem"
     "xitemx"
     "description"
     "table"
     "ftable"
     "Eftable"
     "Etable"
     "vtable"
     "Evtable"
     "Etable"
     "dontindex"
     "fnitemindex"
     "vritemindex"
     "tablez"
     "Edescription"
     "itemindex"
     "itemfont"
     "Etable"
     "item"
     "itemx"
     "kitem"
     "kitemx"
     "xitem"
     "xitemx"
     "itemize"
     "itemizezzz"
     "itemizey"
     "itemcontents"
     "item"
     "frenchspacing"
     "splitoff"
     "first"
     "rest"
     "enumerate"
     "enumeratezzz"
     "enumeratey"
     "thearg"
     "thearg"
     "numericenumerate"
     "lowercaseenumerate"
     "uppercaseenumerate"
     "startenumeration"
     "alphaenumerate"
     "capsenumerate"
     "Ealphaenumerate"
     "Ecapsenumerate"
     "itemizeitem"
     "xendsetuptable"
     "percentofhsize"
     "xpercentofhsize"
     "firstarg"
     "go"
     "go"
     "tab"
     "multitable"
     "item"
     "Emultitable"
     "one"
     "newindex"
     "defindex"
     "newcodeindex"
     "defcodeindex"
     "synindex"
     "syncodeindex"
     "doindex"
     "singleindexer"
     "docodeindex"
     "singlecodeindexer"
     "indexdummies"
     "b"
     "c"
     "d"
     "u"
     "v"
     "H"
     "oe"
     "ae"
     "aa"
     "OE"
     "AE"
     "AA"
     "o"
     "O"
     "l"
     "L"
     "ss"
     "w"
     "bf"
     "rm"
     "sl"
     "sf"
     "tt"
     "gtr"
     "less"
     "hat"
     "char"
     "TeX"
     "dots"
     "copyright"
     "tclose"
     "code"
     "samp"
     "t"
     "r"
     "i"
     "b"
     "cite"
     "key"
     "file"
     "var"
     "kbd"
     "dfn"
     "emph"
     "indexdummyfont"
     "indexdummytex"
     "indexdummydots"
     "indexnofonts"
     "b"
     "c"
     "d"
     "u"
     "v"
     "H"
     "oe"
     "ae"
     "aa"
     "OE"
     "AE"
     "AA"
     "o"
     "O"
     "l"
     "L"
     "ss"
     "w"
     "t"
     "r"
     "i"
     "b"
     "emph"
     "strong"
     "cite"
     "sc"
     "tclose"
     "code"
     "file"
     "samp"
     "kbd"
     "key"
     "var"
     "TeX"
     "dots"
     "indexbackslash"
     "SETmarginindex"
     "doind"
     "folio"
     "rawbackslashxx"
     "dosubind"
     "folio"
     "rawbackslashxx"
     "findex"
     "kindex"
     "cindex"
     "vindex"
     "tindex"
     "pindex"
     "cindexsub"
     "printindex"
     "doprintindex"
     "indexbackslash"
     "initial"
     "tentt"
     "tt"
     "sf"
     "entry"
     "tempa"
     "tempb"
     "indexdotfill"
     "primary"
     "secondary"
     "begindoublecolumns"
     "doublecolumnsplit"
     "doublecolumnpagegoal"
     "pagesofar"
     "doublecolumnout"
     "appendixletter"
     "opencontents"
     "thischapter"
     "thissection"
     "seccheck"
     "chapternofonts"
     "rawbackslash"
     "frenchspacing"
     "result"
     "equiv"
     "expansion"
     "print"
     "TeX"
     "dots"
     "copyright"
     "tt"
     "bf"
     "w"
     "less"
     "gtr"
     "hat"
     "char"
     "tclose"
     "code"
     "samp"
     "r"
     "b"
     "key"
     "file"
     "kbd"
     "i"
     "cite"
     "var"
     "emph"
     "dfn"
     "raisesections"
     "up"
     "lowersections"
     "down"
     "numhead"
     "apphead"
     "unnmhead"
     "thischaptername"
     "chapter"
     "chapteryyy"
     "chapterzzz"
     "section"
     "subsection"
     "subsubsection"
     "appendix"
     "appendixyyy"
     "appendixzzz"
     "section"
     "subsection"
     "subsubsection"
     "top"
     "unnumbered"
     "unnumberedyyy"
     "unnumberedzzz"
     "section"
     "subsection"
     "subsubsection"
     "numberedsec"
     "secyyy"
     "seczzz"
     "appenixsection"
     "appendixsec"
     "appendixsecyyy"
     "appendixsectionzzz"
     "unnumberedsec"
     "unnumberedsecyyy"
     "unnumberedseczzz"
     "numberedsubsec"
     "numberedsubsecyyy"
     "numberedsubseczzz"
     "appendixsubsec"
     "appendixsubsecyyy"
     "appendixsubseczzz"
     "unnumberedsubsec"
     "unnumberedsubsecyyy"
     "unnumberedsubseczzz"
     "numberedsubsubsec"
     "numberedsubsubsecyyy"
     "numberedsubsubseczzz"
     "appendixsubsubsec"
     "appendixsubsubsecyyy"
     "appendixsubsubseczzz"
     "unnumberedsubsubsec"
     "unnumberedsubsubsecyyy"
     "unnumberedsubsubseczzz"
     "infotop"
     "infounnumbered"
     "infounnumberedsec"
     "infounnumberedsubsec"
     "infounnumberedsubsubsec"
     "infoappendix"
     "infoappendixsec"
     "infoappendixsubsec"
     "infoappendixsubsubsec"
     "infochapter"
     "infosection"
     "infosubsection"
     "infosubsubsection"
     "section"
     "subsection"
     "subsubsection"
     "majorheading"
     "majorheadingzzz"
     "chapheading"
     "chapheadingzzz"
     "heading"
     "subheading"
     "subsubheading"
     "dobreak"
     "setchapterstyle"
     "chapbreak"
     "chappager"
     "chapoddpage"
     "setchapternewpage"
     "CHAPPAGoff"
     "pchapsepmacro"
     "pagealignmacro"
     "CHAPPAGon"
     "pchapsepmacro"
     "pagealignmacro"
     "HEADINGSon"
     "CHAPPAGodd"
     "pchapsepmacro"
     "pagealignmacro"
     "HEADINGSon"
     "CHAPFplain"
     "chapmacro"
     "unnumbchapmacro"
     "chfplain"
     "unnchfplain"
     "unnchfopen"
     "chfopen"
     "CHAPFopen"
     "chapmacro"
     "unnumbchapmacro"
     "subsecheadingbreak"
     "secheadingbreak"
     "paragraphindent"
     "secheading"
     "plainsecheading"
     "secheadingi"
     "subsecheading"
     "subsecheadingi"
     "subsubsecfonts"
     "subsubsecheading"
     "subsubsecheadingi"
     "startcontents"
     "thischapter"
     "contents"
     "summarycontents"
     "chapentry"
     "unnumbchapentry"
     "rm"
     "bf"
     "sl"
     "secentry"
     "unnumbsecentry"
     "subsecentry"
     "unnumbsubsecentry"
     "subsubsecentry"
     "unnumbsubsubsecentry"
     "shortcontents"
     "chapentry"
     "shortchapentry"
     "shortchaplabel"
     "unnumbchapentry"
     "shortunnumberedentry"
     "secentry"
     "unnumbsecentry"
     "subsecentry"
     "unnumbsubsecentry"
     "subsubsecentry"
     "unnumbsubsubsecentry"
     "dochapentry"
     "dosecentry"
     "dosubsecentry"
     "dosubsubsecentry"
     "tocentry"
     "labelspace"
     "dopageno"
     "doshortpageno"
     "chapentryfonts"
     "secentryfonts"
     "subsecentryfonts"
     "subsubsecentryfonts"
     "ptexequiv"
     "point"
     "result"
     "expansion"
     "print"
     "equiv"
     "error"
     "tex"
     "dots"
     "bullet"
     "b"
     "c"
     "i"
     "t"
     "l"
     "L"
     "Etex"
     "lisppar"
     "obeyedspace"
     "aboveenvbreak"
     "afterenvbreak"
     "nonarrowing"
     "circle"
     "ctl"
     "ctr"
     "cbl"
     "cbr"
     "carttop"
     "cartbot"
     "cartouche"
     "nonarrowing"
     "Ecartouche"
     "nonfillstart"
     "exdent"
     "nonarrowing"
     "nonfillfinish"
     "lisp"
     "Elisp"
     "example"
     "Eexample"
     "smallexample"
     "Esmallexample"
     "smalllisp"
     "Esmalllisp"
     "smalllispx"
     "Esmalllisp"
     "Esmallexample"
     "display"
     "Edisplay"
     "format"
     "nonarrowing"
     "Eformat"
     "flushleft"
     "nonarrowing"
     "Eflushleft"
     "flushright"
     "nonarrowing"
     "Eflushright"
     "quotation"
     "Equotation"
     "nonarrowing"
     "setdeffont"
     "activeparens"
     "lparen"
     "rparen"
     "opnr"
     "clnr"
     "ampnr"
     "lbrb"
     "rbrb"
     "defname"
     "defparsebody"
     "defmethparsebody"
     "defopparsebody"
     "defvarparsebody"
     "parsebodycommon"
     "defvrparsebody"
     "deftpparsebody"
     "removeemptybraces"
     "tptemp"
     "parsetpheaderline"
     "defopvarparsebody"
     "defunargs"
     "deftypefunargs"
     "deffn"
     "deffnheader"
     "defun"
     "defunheader"
     "deftypefun"
     "deftypefunheader"
     "deftypefunheaderx"
     "deftypefn"
     "defheaderxcond"
     "deftypefnheader"
     "deftypefnheaderx"
     "defmac"
     "defmacheader"
     "defspec"
     "defspecheader"
     "deffnx"
     "defunx"
     "defmacx"
     "defspecx"
     "deftypefnx"
     "deftypeunx"
     "defop"
     "defoptype"
     "defopheader"
     "defmethod"
     "defmethodheader"
     "defcv"
     "defcvtype"
     "defcvarheader"
     "defivar"
     "defivarheader"
     "defopx"
     "defmethodx"
     "defcvx"
     "defivarx"
     "defvarargs"
     "defvr"
     "defvrheader"
     "defvar"
     "defvarheader"
     "defopt"
     "defoptheader"
     "deftypevar"
     "deftypevarheader"
     "deftypevr"
     "deftypevrheader"
     "defvrx"
     "defvarx"
     "defoptx"
     "deftypevarx"
     "deftypevrx"
     "deftpargs"
     "deftp"
     "deftpheader"
     "deftpx"
     "setref"
     "unnumbsetref"
     "appendixsetref"
     "pxref"
     "xref"
     "ref"
     "xrefX"
     "printedmanual"
     "printednodename"
     "printednodename"
     "printednodename"
     "printednodename"
     "printednodename"
     "printednodename"
     "dosetq"
     "folio"
     "internalsetq"
     "Ypagenumber"
     "Ytitle"
     "Ynothing"
     "Ysectionnumberandtype"
     "Yappendixletterandtype"
     "linenumber"
     "linenumber"
     "refx"
     "xrdef"
     "readauxfile"
     "loop"
     "supereject"
     "footnotestyle"
     "ptexfootnote"
     "lineskipfactor"
     "strutheightpercent"
     "strutdepthpercent"
     "setleading"
     "finalout"
     "openindices"
     "emergencystretch"
     "smallbook"
     "smalllisp"
     "smallexample"
     "Esmallexample"
     "afourpaper"
     "changepagesizes"
     "afourlatex"
     "afourwide"
     "normaldoublequote"
     "normaltilde"
     "normalcaret"
     "normalunderscore"
     "normalverticalbar"
     "normalless"
     "normalgreater"
     "normalplus"
     "ifusingtt"
     "activedoublequote"
     "hat"
     "auxhat"
     "lvvmode"
     "otherifyactive"
     "rawbackslashxx"
     "normalbackslash")
    (TeX-run-style-hooks
     "plain"))))

