(TeX-add-style-hook "amslatex"
 (function
  (lambda ()
    (LaTeX-add-environments
     "prop"
     "filelist"
     "thm"
     "lem"
     "cor"
     "prop"
     "crit"
     "alg"
     "defn"
     "conj"
     "exmp"
     "prob"
     "rem"
     "note"
     "claim"
     "summ"
     "case"
     "ack"
     "kthm")
    (LaTeX-add-bibitems
     "amsfonts"
     "author-guidelines"
     "kn"
     "lm"
     "msf"
     "jt")
    (LaTeX-add-labels
     "s:fonts"
     "weight-width"
     "s:families"
     "fams"
     "s:otherfam"
     "s:oldlfont"
     "s:custom-fontdef"
     "s:mathfonts"
     "fonttable"
     "mathfonts"
     "fonts"
     "s:newsym"
     "s:opname"
     "fracs"
     "ss:smash"
     "ss:matrix"
     "s:commdiag"
     "e:cd"
     "s:displays"
     "s:options"
     "s:comment"
     "artbook"
     "s:variations"
     "s:rom"
     "a:install"
     "inst-copy"
     "AMSmathfonts"
     "Textures:install"
     "a:diff"
     "a:memstats"
     "memtable"
     "as:capacity"
     "t:cap"
     "a:help"
     "a:furtherinfo")
    (TeX-add-symbols
     '("indexcs" 1)
     '("pfn" 1)
     '("penv" 1)
     '("popt" 1)
     '("psty" 1)
     '("pcs" 1)
     "filename"
     "ntt"
     "ntt"
     "atsign"
     "bslash"
     "autoindex"
     "cs"
     "sty"
     "opt"
     "env"
     "fn"
     "AmS"
     "Textures"
     "BibTeX"
     "rmdefault"
     "sfdefault"
     "ttdefault"
     "bpi"
     "binfty"
     "xxx"
     "yyy"
     "cfrac"
     "sst")
    (TeX-run-style-hooks
     "latex2"
     "art10"
     "article"
     "amstex"
     "latex2"
     "art10"
     "article"
     "oldlfont"
     "latex2"
     "art10"
     "article"))))

