(TeX-add-style-hook "amstex"
 (function
  (lambda ()
    (LaTeX-add-environments
     "equation"
     "multline"
     "split"
     "gather"
     "xxalignat"
     "xalignat"
     "alignat"
     "align"
     "cases"
     "Vmatrix"
     "vmatrix"
     "bmatrix"
     "pmatrix"
     "matrix"
     "smallmatrix"
     "Sp"
     "Sb"
     '("subequations" 1)
     "aligned"
     "alignedat"
     "gathered"
     "equation")
    (TeX-add-symbols
     "endmultline"
     "endgather"
     "endxalignat"
     "endalignat"
     "endalign"
     "endalign"
     '("cfrac" ["argument"] 2)
     "baselinestretch"
     "frenchspacing"
     "stepcounter"
     "label"
     "thepage"
     "protect"
     "big"
     "Big"
     "bigg"
     "Bigg"
     "noexpand"
     "AmSTeX"
     "AmS"
     "AmSfont"
     "thinspace"
     "negthinspace"
     "medspace"
     "negmedspace"
     "thickspace"
     "negthickspace"
     "implies"
     "impliedby"
     "frfrac"
     "dfrac"
     "tfrac"
     "frbinom"
     "dbinom"
     "tbinom"
     "colon"
     "dddot"
     "ddddot"
     "int"
     "oint"
     "iint"
     "iiint"
     "iiiint"
     "idotsint"
     "arccos"
     "arcsin"
     "arctan"
     "arg"
     "cos"
     "cosh"
     "cot"
     "coth"
     "csc"
     "deg"
     "det"
     "dim"
     "exp"
     "gcd"
     "hom"
     "inf"
     "injlim"
     "ker"
     "lg"
     "lim"
     "liminf"
     "limsup"
     "ln"
     "log"
     "max"
     "min"
     "Pr"
     "projlim"
     "sec"
     "sin"
     "sinh"
     "sup"
     "tan"
     "tanh"
     "operatornamewithlimits"
     "varinjlim"
     "varprojlim"
     "varliminf"
     "varlimsup"
     "numberwithin"
     "eqref"
     "bmod"
     "pod"
     "pmod"
     "mod"
     "lcfrac"
     "rcfrac"
     "overset"
     "underset"
     "sideset"
     "overrightarrow"
     "overleftarrow"
     "overleftrightarrow"
     "underrightarrow"
     "underleftarrow"
     "underleftrightarrow"
     "DOTSI"
     "DOTSB"
     "DOTSX"
     "dotsi"
     "dotso"
     "dotsb"
     "dotsm"
     "longrightarrow"
     "Longrightarrow"
     "longleftarrow"
     "Longleftarrow"
     "longleftrightarrow"
     "Longleftrightarrow"
     "mapsto"
     "longmapsto"
     "hookrightarrow"
     "hookleftarrow"
     "doteq"
     "iff"
     "overline"
     "boxed"
     "allowdisplaybreaks"
     "displaybreak"
     "displaybreak"
     "intertext"
     "intertext"
     "tag"
     "thetag"
     "notag"
     "adjusttag"
     "protect"
     "hdots"
     "hdotsfor"
     "arraystretch"
     "tag"
     "notag"
     "nonumber"
     "tag"
     "tag"
     "tag"
     "tag"
     "tag"
     "tag"
     "tag"
     "shoveleft"
     "shoveright"
     "shoveleft"
     "shoveright"
     "shoveright"
     "shoveleft"
     "shoveleft"
     "tag"
     "shoveright"
     "shoveleft"
     "shoveleft"
     "tag"
     "protect"
     "noexpand"
     "atchar"
     "makeatother"
     "leftroot"
     "uproot"
     "root"
     "dasharrow"
     "rightleftharpoons"
     "angle"
     "hbar"
     "sqsubset"
     "sqsupset"
     "mho"
     "lhd"
     "unlhd"
     "rhd"
     "unrhd"
     "Box"
     "Diamond"
     "leadsto"
     "frak"
     "Bbb"
     "bold"
     "sphat"
     "spcheck"
     "sptilde"
     "spdot"
     "spddot"
     "spdddot"
     "spbreve"
     "fracwithdelims"
     "accentedsymbol")
    (TeX-run-style-hooks
     "Umsa57"
     "Umsb57"
     "Ueuf57"))))

