(TeX-add-style-hook "eplain"
 (function
  (lambda ()
    (LaTeX-add-environments
     "verbatim"
     "unorderedlist"
     "orderedlist"
     "numberedlist"
     "environment")
    (TeX-add-symbols
     "endlist"
     "makeactive"
     "letter"
     "other"
     "uncatcodespecials"
     "eattoken"
     "gobble"
     "gobbletwo"
     "gobblethree"
     "identity"
     "ifempty"
     "sanitize"
     "ifundefined"
     "csn"
     "ece"
     "expandonce"
     "wlog"
     "gloggingall"
     "loggingall"
     "tracingboxes"
     "gtracingoff"
     "tracingoff"
     "vpenalty"
     "hpenalty"
     "iterate"
     "edefappend"
     "hookprepend"
     "hookappend"
     "hookaction"
     "hookactiononce"
     "noexpand"
     "hookrun"
     "temp"
     "setproperty"
     "getproperty"
     "cs"
     "extension"
     "bibliographystyle"
     "bibstyle"
     "bblfilebasename"
     "bibliography"
     "bibdata"
     "nocite"
     "cite"
     "begin"
     "end"
     "bibitem"
     "biblabelprecontents"
     "biblabelpostcontents"
     "biblabelprecontents"
     "biblabelpostcontents"
     "em"
     "newblock"
     "sc"
     "biblabelprint"
     "biblabelcontents"
     "bblrm"
     "bblem"
     "bblsc"
     "bblnewblock"
     "bblhook"
     "printcitestart"
     "printcitefinish"
     "printbetweencitations"
     "printcitenote"
     "citation"
     "newcommand"
     "auxfile"
     "for"
     "futurenonspacelet"
     "iffileexists"
     "innerdef"
     "innernewcount"
     "innernewdimen"
     "innernewif"
     "innernewwrite"
     "linenumber"
     "readauxfile"
     "spacesub"
     "testfileexistence"
     "writeaux"
     "innerinnerdef"
     "immediatewriteaux"
     "frac"
     "ehrule"
     "evrule"
     "sc"
     "temp"
     "uppercasesc"
     "uppercasesc"
     "TeX"
     "AmSTeX"
     "AMSTEX"
     "AMSTeX"
     "BibTeX"
     "BIBTeX"
     "BIBTEX"
     "LAMSTeX"
     "LamSTeX"
     "LAmSTeX"
     "LaTeX"
     "LATEX"
     "manfnt"
     "manfntsl"
     "MF"
     "manfnt"
     "METAFONT"
     "SLITEX"
     "SLiTeX"
     "SliTeX"
     "SLITeX"
     "pathafterhook"
     "blackbox"
     "makeblankbox"
     "hidehrule"
     "hidevrule"
     "boxit"
     "numbername"
     "tenln"
     "thinlines"
     "thicklines"
     "drawline"
     "drawvector"
     "lft"
     "rt"
     "generalsmap"
     "sline"
     "arrow"
     "bisline"
     "biarrow"
     "adjarrow"
     "temp"
     "temp"
     "temp"
     "plnmorph"
     "lftmorph"
     "rtmorph"
     "generalhmap"
     "temp"
     "temp"
     "temp"
     "mapright"
     "mapleft"
     "bimapright"
     "bimapleft"
     "adjmapright"
     "adjmapleft"
     "hline"
     "bihline"
     "drawrightarrow"
     "drawleftarrow"
     "drawbirightarrow"
     "drawbileftarrow"
     "drawadjrightarrow"
     "drawadjleftarrow"
     "drawhline"
     "drawbihline"
     "generalvmap"
     "temp"
     "temp"
     "temp"
     "mapdown"
     "mapup"
     "bimapdown"
     "bimapup"
     "adjmapdown"
     "adjmapup"
     "vline"
     "bivline"
     "drawdownarrow"
     "drawuparrow"
     "drawbidownarrow"
     "drawbiuparrow"
     "drawadjdownarrow"
     "drawadjuparrow"
     "drawvline"
     "drawbivline"
     "commdiag"
     "commdiagbaselines"
     "gridcommdiag"
     "hmorphposnup"
     "hmorphposndn"
     "vmorphposnup"
     "vmorphposndn"
     "checkenv"
     "leftdisplays"
     "eqno"
     "leqno"
     "centereddisplays"
     "eqno"
     "leqno"
     "eqalignno"
     "leqalignno"
     "leftdisplaysetup"
     "displaylines"
     "eqalignno"
     "noalign"
     "leqalignno"
     "eqno"
     "monthname"
     "fullmonthname"
     "timestring"
     "timestamp"
     "today"
     "abovelistskip"
     "belowlistskip"
     "interitemskip"
     "listmarkerspace"
     "listcompact"
     "beginlist"
     "li"
     "writeitemxref"
     "printitem"
     "printmarker"
     "numberedmarker"
     "printitemnumber"
     "printitemletter"
     "printitemromannumeral"
     "numberedprintmarker"
     "marker"
     "printmarker"
     "unorderedmarker"
     "unorderedprintmarker"
     "marker"
     "printmarker"
     "listing"
     "setuplistinghook"
     "linenumberedlisting"
     "printlistinglineno"
     "listingfont"
     "tocfilebasename"
     "opentocfile"
     "writetocentry"
     "writenumberedtocentry"
     "temp"
     "readtocfile"
     "tocchapterentry"
     "tocsectionentry"
     "tocsubsectionentry"
     "ifxrefwarning"
     "xrefwarningtrue"
     "ifxrefwarning"
     "xrefwarningfalse"
     "ifxrefwarning"
     "xrdef"
     "definexref"
     "xrefn"
     "refn"
     "xref"
     "ref"
     "refs"
     "eqdefn"
     "temp"
     "temp"
     "eqrefn"
     "eqsubdefn"
     "eqrefn"
     "eqsubreftext"
     "eqdef"
     "eqsubdef"
     "eqno"
     "eqno"
     "eqrefn"
     "eqref"
     "eqconstruct"
     "eqprint"
     "eqsubreftext"
     "temp"
     "makecolumns"
     "vfootnote"
     "footnoterule"
     "numberedfootnote"
     "topmargin"
     "advancetopmargin"
     "bottommargin"
     "advancebottommargin"
     "leftmargin"
     "advanceleftmargin"
     "rightmargin"
     "advancerightmargin"
     "doublecolumns"
     "doublecolumnoutput"
     "singlecolumn"
     "wlog"
     "fmtname"
     "eplain"))))

