(TeX-add-style-hook "lamstex"
 (function
  (lambda ()
    (LaTeX-add-environments
     "Par"
     "island"
     "bib"
     "makebib"
     "affil"
     "author"
     "title"
     "claim"
     "demo"
     "margins"
     "describe"
     "list")
    (TeX-add-symbols
     "enddocument"
     "newcount"
     "newdimen"
     "newskip"
     "newmuskip"
     "newbox"
     "newtoks"
     "newhelp"
     "newtoks"
     "newread"
     "newwrite"
     "newfam"
     "newlanguage"
     "newinsert"
     "newif"
     "noexpand"
     "noexpand"
     "bye"
     "beginsection"
     "nolinebreak"
     "allowlinebreak"
     "linebreak"
     "newline"
     "accentedsymbol"
     "root"
     "loop"
     "iterate"
     "iterate"
     "printoptions"
     "noexpand"
     "APdef"
     "dotsc"
     "boldkey"
     "arabic"
     "alph"
     "Alph"
     "roman"
     "Roman"
     "fnsymbol"
     "cardinal"
     "nordinal"
     "spordinal"
     "ordinal"
     "arabic"
     "alph"
     "Alph"
     "roman"
     "Roman"
     "fnsymbol"
     "rm"
     "it"
     "bf"
     "sl"
     "smc"
     "null"
     "Nonexpanding"
     "invisible"
     "noindent"
     "flushpar"
     "page"
     "indexfile"
     "indexproofing"
     "noindexproofing"
     "idefine"
     "iabbrev"
     "label"
     "pagelabel"
     "RefErrors"
     "RefWarnings"
     "ref"
     "Ref"
     "nref"
     "pref"
     "Evaluatenref"
     "Evaluatepref"
     "Pref"
     "readlax"
     "docstyle"
     "predocstyle"
     "postdocstyle"
     "style"
     "pre"
     "post"
     "numstyle"
     "pre"
     "post"
     "style"
     "numstyle"
     "tag"
     "Offset"
     "Reset"
     "label"
     "pagelabel"
     "tag"
     "tag"
     "gather"
     "tag"
     "newcounter"
     "noexpand"
     "noexpand"
     "noexpand"
     "usecounter"
     "noexpand"
     "noexpand"
     "noexpand"
     "noexpand"
     "noexpand"
     "noexpand"
     "noexpand"
     "noexpand"
     "keepitem"
     "item"
     "pre"
     "post"
     "style"
     "numstyle"
     "pre"
     "post"
     "style"
     "numstyle"
     "inlevel"
     "outlevel"
     "item"
     "pullin"
     "pullinmore"
     "nopunct"
     "nospace"
     "overlong"
     "pre"
     "post"
     "style"
     "numstyle"
     "pre"
     "post"
     "style"
     "numstyle"
     "newclaim"
     "shortenclaim"
     "noexpand"
     "noexpand"
     "tocfile"
     "HL"
     "pre"
     "post"
     "style"
     "numstyle"
     "pre"
     "post"
     "style"
     "numstyle"
     "style"
     "pref"
     "pref"
     "pref"
     "pref"
     "hl"
     "pre"
     "post"
     "style"
     "numstyle"
     "pre"
     "post"
     "style"
     "numstyle"
     "style"
     "pref"
     "pref"
     "pref"
     "pref"
     "style"
     "style"
     "mainfile"
     "NameHL"
     "noexpand"
     "noexpand"
     "noexpand"
     "Namehl"
     "noexpand"
     "noexpand"
     "noexpand"
     "Initialize"
     "value"
     "Evaluate"
     "pre"
     "post"
     "style"
     "fontstyle"
     "Reset"
     "Offset"
     "newpre"
     "newpost"
     "newstyle"
     "newnumstyle"
     "newfontstyle"
     "word"
     "newword"
     "modifyfootnote"
     "fancyfootnotes"
     "footmark"
     "style"
     "numstyle"
     "style"
     "foottext"
     "footnote"
     "style"
     "numstyle"
     "littab"
     "litbackslash"
     "noexpand"
     "litdelimiter"
     "lit"
     "Lit"
     "displaybreak"
     "allowdisplaybreak"
     "allowdisplaybreaks"
     "Litbox"
     "allowdisplaybreak"
     "allowdisplaybreaks"
     "date"
     "today"
     "maketitle"
     "cite"
     "nopunct"
     "nospace"
     "noprepunct"
     "noprespace"
     "noquotes"
     "noexpand"
     "noexpand"
     "noexpand"
     "noexpand"
     "noexpand"
     "bookinquotes"
     "paperinquotes"
     "ininbook"
     "no"
     "key"
     "by"
     "bysame"
     "paper"
     "paperinfo"
     "jour"
     "vol"
     "issue"
     "yr"
     "toappear"
     "pg"
     "pp"
     "book"
     "inbook"
     "bookinfo"
     "publ"
     "publaddr"
     "ed"
     "eds"
     "lang"
     "finalinfo"
     "morebib"
     "anotherbib"
     "transl"
     "UseBibTeX"
     "cite"
     "nocite"
     "bibliographystyle"
     "bibliography"
     "newblock"
     "unpurge"
     "purge"
     "topinsert"
     "midinsert"
     "pageinsert"
     "Figureproofing"
     "noFigureproofing"
     "Hbyw"
     "hbyw"
     "noexpand"
     "caption"
     "pre"
     "post"
     "style"
     "numstyle"
     "style"
     "style"
     "newisland"
     "noexpand"
     "islandpairdata"
     "islandpairbox"
     "islandpairboxa"
     "islandtripledata"
     "islandtriplebox"
     "islandtripleboxa"
     "Figurepair"
     "Figuretriple"
     "Tablepair"
     "Tabletriple"
     "place"
     "Aplace"
     "AAplace"
     "Bplace"
     "Cplace"
     "Mplace"
     "MXplace"
     "folio"
     "advancepageno"
     "plainoutput"
     "style"
     "pagebody"
     "pagecontents"
     "paste"
     "measuretable"
     "East"
     "West"
     "Cgaps"
     "Rgaps"
     "cgaps"
     "changewidth"
     "a"
     "ds"
     "dtX"
     "dtY"
     "da"
     "dx"
     "dX"
     "dY"
     "dy"
     "p"
     "L"
     "l"
     "dL"
     "dl"
     "s"
     "uns"
     "tsizeCDlabels"
     "ssizeCDlabels"
     "preCDspace"
     "postCDspace"
     "predisplayspace"
     "postdisplayspace"
     "PreCDSpace"
     "PostCDSpace"
     "CD")
    (TeX-run-style-hooks
     "bibtex "))))

